Debians sikkerhedsbulletin

DSA-2856-1 libcommons-fileupload-java -- lammelsesangreb

Rapporteret den:
7. feb 2014
Berørte pakker:
libcommons-fileupload-java
Sårbar:
Ja
Referencer i sikkerhedsdatabaser:
I Mitres CVE-ordbog: CVE-2014-0050.
Yderligere oplysninger:

Man opdagede at pakken Apache Commons FileUpload til Java kunne komme ind i en uendelig løkke, mens der blev behandlet en multipart-forespørgsel med en fabrikeret Content-Type, medførende en lammelsesangrebstilstand (denial of service).

I den gamle stabile distribution (squeeze), er dette problem rettet i version 1.2.2-1+deb6u2.

I den stabile distribution (wheezy), er dette problem rettet i version 1.2.2-1+deb7u2.

I den ustabile distribution (sid), er dette problem rettet i version 1.3.1-1.

Vi anbefaler at du opgraderer dine libcommons-fileupload-java-pakker.